<?php
use MaxAddonsPro\Classes\Admin_Settings;

$settings = Admin_Settings::get_settings();

$license_status = mab_elements_check_license();
$status  = Admin_Settings::get_option( 'mab_license_status', true, true );
$license = Admin_Settings::get_option( 'mab_license_key', true, true );
if ( is_array( $license_status ) && isset( $license_status['message'] ) ) {
	echo '<p style="color: red; background: #fff3f3; padding: 10px;">' . Admin_Settings::parse_error( $license_status['message'] ) . '</p>';
	$license_status = $status;
} else {
	if ( ! is_array( $license_status ) && $status !== $license_status ) {
		if ( 'site_inactive' === $license_status || 'invalid' === $license_status || 'expired' === $license_status ) {
			$status = '';
		}
		if ( 'valid' === $license_status ) {
			$status = 'valid';
		}

		if ( ! isset( $_GET['status'] ) ) {
			mab_elements_update( 'mab_license_status', $status );
		}
	}
}
if ( '' === $status ) {
	$status = 'inactive';
}
?>
<div class="mab-settings-section">
	<div class="mab-settings-section-content">
		<table class="mab-settings-form">
			<tbody>
				<?php if ( ! defined( 'MAB_LICENSE_KEY' ) ) { ?>
					<tr valign="top">
						<th scope="row" valign="top">
							<label for="mab_license_key">
								<?php esc_html_e( 'License Key', 'max-addons' ); ?>
							</label>
						</th>
						<td>
							<input id="mab_license_key" name="mab_license_key" type="password" class="regular-text" value="<?php echo esc_attr( $license, 'max-addons' ); ?>" />
							<p class="description">
								<?php
									printf(
										/* translators: 1: Link open tag, 2: Link close tag */
										esc_html__( 'Enter your %1$slicense key%2$s to enable remote updates and support.', 'max-addons' ),
										'<a href="https://powerpackelements.com/my-account/" target="_blank">',
										'</a>'
									);
								?>
							</p>
						</td>
					</tr>
					<?php wp_nonce_field( 'mab-license-settings', 'mab-license-settings-nonce' ); ?>
					<?php if ( false !== $license && ! empty( $license ) ) { ?>
						<tr valign="top">
							<th scope="row" valign="top">
								<label for="mab_elements_license_nonce">
									<?php esc_html_e( 'License Status', 'max-addons' ); ?>
								</label>
							</th>
							<td>
								<?php if ( $status == 'valid' ) { ?>
									<span style="color: #267329; background: #caf1cb; padding: 5px 10px; text-shadow: none; border-radius: 3px; display: inline-block; text-transform: uppercase;"><?php esc_html_e( 'active', 'max-addons' ); ?></span>
									<?php wp_nonce_field( 'mab_elements_license_nonce', 'mab_elements_license_nonce' ); ?>
									<input type="submit" class="button-secondary" name="mab_license_deactivate" value="<?php esc_html_e( 'Deactivate License', 'max-addons' ); ?>" />
								<?php } else { ?>
									<?php if ( $status == '' ) {
										$status = 'inactive'; } ?>
									<span style="<?php echo $status == 'inactive' ? 'color: #fff; background: #b1b1b1;' : 'color: red; background: #ffcdcd;'; ?> padding: 5px 10px; text-shadow: none; border-radius: 3px; display: inline-block; text-transform: uppercase;"><?php echo $status; ?></span>
									<?php
									wp_nonce_field( 'mab_elements_license_nonce', 'mab_elements_license_nonce' ); ?>
									<input type="submit" class="button-secondary" name="mab_license_activate" value="<?php esc_html_e( 'Activate License', 'max-addons' ); ?>"/>
									<p class="description"><?php esc_html_e( 'Please click the Activate License button to activate your license.', 'max-addons' ); ?>
								<?php } ?>
							</td>
						</tr>
					<?php } ?>
				<?php } ?>
			</tbody>
		</table>
	</div>
</div>
