<?php
namespace MaxAddonsPro\Elements;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Woo_Checkout_Hooks_Element extends \Bricks\Element {
	public $category        = 'max-addons-woo-checkout-elements';
	public $name            = 'max-woo-checkout-hooks';
	public $icon            = 'ti-plug max-element';

	public function get_label() {
		return esc_html__( 'Checkout Hooks', 'max-addons' );
	}

	public function get_keywords() {
		return [ 'checkout' ];
	}

	public function set_controls() {
		$this->controls['hooks'] = [
			'tab'         => 'content',
			'type'        => 'select',
			'label'       => esc_html__( 'Hooks', 'max-addons' ),
			'options'     => [
				'woocommerce_checkout_before_customer_details' => esc_html__( 'Before billing and shipping details', 'max-addons' ),
				'woocommerce_checkout_before_order_review_heading' => esc_html__( 'Before order review heading', 'max-addons' ),
				'woocommerce_checkout_before_order_review' => esc_html__( 'Before order review', 'max-addons' ),
				'woocommerce_checkout_after_customer_details'  => esc_html__( 'After billing and shipping details', 'max-addons' ),
				'woocommerce_checkout_after_order_review' => esc_html__( 'After order review', 'max-addons' ),
			],
			'multiple'    => false,
			'searchable'  => false,
			'placeholder' => esc_html__( 'Select a hook', 'max-addons' ),
		];
	}

	public function render() {
		$settings = $this->settings;
		$hook     = ! empty( $settings['hooks'] ) ? $settings['hooks'] : '';

		if ( empty( $hook ) ) {
			return $this->render_element_placeholder(
				[
					'title' => esc_html__( 'No hook selected.', 'max-addons' ),
				]
			);
		}

		echo bricks_render_dynamic_data( "{do_action:{$hook}}" );
	}
}
